import { RelationDetail } from '../../types';
declare const relationEvent: (props: any, relationDetails: RelationDetail[], e: any, actionName: string) => void;
/**
 * 所有触发的事件
 * @param context
 * @param emits
 * @param formData
 * @param actionName
 * @param isInit
 */
declare const allAction: (context: any, emits: any, formData: any, actionName: string, isInit?: boolean) => void;
/**
 * Button 组件的点击事件
 * @param context
 * @param emits
 * @param formData
 * @param code
 * @param evtName 时间名称
 */
declare const buttonAction: (context: any, emits: any, formData: any, code: string, evtName?: string) => void;
/**
 * 检查是否禁用
 * @param attrs
 */
declare const checkIsDisabled: (attrs: any) => boolean;
declare const useFormField: (context: any, field: any) => {
    fieldValue: import('vue').WritableComputedRef<any, any>;
};
declare const initCompCallEvent: (props: any, emits: any, formData: any) => void;
declare const prepsFilter: (preps: any) => any;
declare const convertData: (data: any) => any;
export { allAction, buttonAction, checkIsDisabled, initCompCallEvent, prepsFilter, relationEvent, useFormField, convertData, };
